import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class WindowRef {
  get nativeWindow(): Window {
    return window;
  }

  get windowWidth$(): Observable<number> {
    return of(window.innerWidth);
  }
}
